import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { IonicModule } from '@ionic/angular';

import { LessonRoutingModule } from './lesson-routing.module';
import { MeComponent } from './me/me.component';


import { CommunityComponent } from './community/community.component';
import { ScienceDetailComponent } from './science-detail/science-detail.component';
import { ShareComponent } from './share/share.component';
import { RecommendDetailComponent } from './recommend-detail/recommend-detail.component';
import { AttentionDetailComponent } from './attention-detail/attention-detail.component';
import { UserFollowComponent } from './user-follow/user-follow.component';
import { UserTagComponent } from './user-tag/user-tag.component';
import { UserCollectionComponent } from './user-collection/user-collection.component';
import { PageChatComponent } from './page-chat/page-chat.component';
import { PageLessonDetailComponent } from './page-lesson-detail/page-lesson-detail.component';
import { PageLessonComponent } from './page-lesson/page-lesson.component';
import { PageTestComponent } from './page-test/page-test.component';

@NgModule({
  declarations: [
 
    MeComponent,
   

    CommunityComponent,
    ScienceDetailComponent,
    ShareComponent,
    RecommendDetailComponent,
    AttentionDetailComponent,
    UserFollowComponent,
    UserTagComponent,
    UserCollectionComponent,
    PageChatComponent,
    PageLessonDetailComponent,
    PageLessonComponent,
    PageTestComponent,
    




  ],
  imports: [
    CommonModule,
    LessonRoutingModule,
    FormsModule,
    IonicModule
  ]
})
export class LessonModule { }
